Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.controls.extensible
Interface UtilCmxControl

All Superinterfaces
  CmxControl

    public interface UtilCmxControl

extends CmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` used for functions that apply to all types of content

This control should be used in an app-scoped context.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_BY_ID`

Method Summary
`void` | `delete(ID id)` deletes a node by its ID
`Node` | `findNodeByExpression(String expression, String[] searchPaths)`
`SortableFilterablePagedResult<ContentBaseImpl>` | `findNodesByExpression(String expression, String[] searchPaths, SortCriteria[] sortCriteria)`
`Node` | `move(ID nodeIdToMove, ID newParentId)` moves a node under a specified parent
`void` | `update(Node node)` updates a node

Field Detail

### FIND_BY_ID

    static final String FIND_BY_ID

See Also
  Constants Summary

Method Detail

### delete

    void delete(ID id)
                throws AuthenticationException,
                       AuthorizationException,
                       NoSuchNodeException,
                       RepositoryException

  deletes a node by its ID

  Parameters
    `id` - `ID` of the `Node` to delete
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### update

    void update(Node node)
                throws AuthenticationException,
                       AuthorizationException,
                       NoSuchNodeException,
                       NoSuchPropertyException,
                       RepositoryException,
                       IOException

  updates a node

  Parameters
    `node` - `Node` to update
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `NoSuchPropertyException`
    `RepositoryException`
    `IOException`

### move

    Node move(ID nodeIdToMove,
              ID newParentId)
              throws AuthenticationException,
                     AuthorizationException,
                     NoSuchNodeException,
                     RepositoryException

  moves a node under a specified parent

  Parameters
    `nodeIdToMove` - `ID` of the `Node` to move
    `newParentId` - `ID` of the moved `Node`'s new parent
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findNodeByExpression

    Node findNodeByExpression(String expression,
                              String[] searchPaths)
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findNodesByExpression

    SortableFilterablePagedResult<ContentBaseImpl> findNodesByExpression(String expression,
                                                                         String[] searchPaths,
                                                                         SortCriteria[] sortCriteria)
                                                                         throws InstantiationException,
                                                                                IllegalAccessException,
                                                                                InvocationTargetException,
                                                                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                                                AuthenticationException,
                                                                                AuthorizationException,
                                                                                NoSuchNodeException,
                                                                                RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved